#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios_base::sync_with_stdio(false); 
    cin.tie(NULL);    
    string niz[3];
    string s;
    cin>>niz[0]>>niz[1]>>niz[2];
    long m=0,rez;
    rez=stoi(niz[0]+niz[1]+niz[2]);
    if(rez>m)m=rez;
    rez=stoi(niz[0]+niz[2]+niz[1]);
    if(rez>m)m=rez;
    rez=stoi(niz[1]+niz[0]+niz[2]);
    if(rez>m)m=rez;
    rez=stoi(niz[1]+niz[2]+niz[0]);
    if(rez>m)m=rez;
    rez=stoi(niz[2]+niz[1]+niz[0]);
    if(rez>m)m=rez;
    rez=stoi(niz[2]+niz[0]+niz[1]);
    if(rez>m)m=rez;
    cout<<m;
    return 0;
}